POST
/
deposits
/
addresses
curl -X POST https://api.stableyard.fi/v2/deposits/addresses \
  -H "Authorization: Bearer sy_secret_*" \
  -H "Content-Type: application/json" \
  -d '{
    "account": "acc_1234567890",
    "chain": "base"
  }'
{
  "object": "deposit_address",
  "id": "da_c4e2f1a8",
  "address": "0x1234567890abcdef1234567890abcdef12345678",
  "chain": "base",
  "chainId": 8453,
  "accountId": "acc_1234567890",
  "createdAt": 1710670800,
  "requestId": "req_abc123"
}
Create a per-account, per-chain deposit address. If one already exists for the account and chain, the existing address is returned. Auth: sy_secret_*
account
string
required
Account identifier — can be a wallet address, payment address, or account ID
chain
string
required
Chain name (e.g., base, polygon, solana, movement)
curl -X POST https://api.stableyard.fi/v2/deposits/addresses \
  -H "Authorization: Bearer sy_secret_*" \
  -H "Content-Type: application/json" \
  -d '{
    "account": "acc_1234567890",
    "chain": "base"
  }'
{
  "object": "deposit_address",
  "id": "da_c4e2f1a8",
  "address": "0x1234567890abcdef1234567890abcdef12345678",
  "chain": "base",
  "chainId": 8453,
  "accountId": "acc_1234567890",
  "createdAt": 1710670800,
  "requestId": "req_abc123"
}
id
string
required
Deposit address ID with da_ prefix
address
string
required
The on-chain deposit address
chain
string
required
Chain name
chainId
number
required
Network chain ID
accountId
string
required
The account this address belongs to
Address generation differs by chain:
  • EVM: CREATE2 via factory contract (deterministic from accountId + chainId salt)
  • Solana: Generated by wallet manager service
  • Movement: Generated by wallet manager service